Package org.apache.wiki.spi

# Class ContentsSPIDefaultImpl

java.lang.Object
org.apache.wiki.spi.ContentsSPIDefaultImpl

All Implemented Interfaces:
  `org.apache.wiki.api.spi.ContentsSPI`

public class ContentsSPIDefaultImpl extends Object implements org.apache.wiki.api.spi.ContentsSPI
Default implementation for `ContentsSPI`

See Also:
  - `ContentsSPI`

## Constructor Summary

Constructors
Constructor
Description
`ContentsSPIDefaultImpl()`

## Method Summary

Modifier and Type
Method
Description
`org.apache.wiki.api.core.Attachment`
`attachment(org.apache.wiki.api.core.Engine engine, String parentPage, String fileName)`
`org.apache.wiki.api.core.Page`
`page(org.apache.wiki.api.core.Engine engine, String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ContentsSPIDefaultImpl

public ContentsSPIDefaultImpl()

## Method Details

### attachment

public org.apache.wiki.api.core.Attachment attachment(org.apache.wiki.api.core.Engine engine, String parentPage, String fileName)

Specified by:
  `attachment` in interface `org.apache.wiki.api.spi.ContentsSPI`

### page

public org.apache.wiki.api.core.Page page(org.apache.wiki.api.core.Engine engine, String name)

Specified by:
  `page` in interface `org.apache.wiki.api.spi.ContentsSPI`